package com.yanzhu.manage.service.impl;

import java.util.List;
import com.yanzhu.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.manage.mapper.ProProjectInfoSubdeptsMapper;
import com.yanzhu.manage.domain.ProProjectInfoSubdepts;
import com.yanzhu.manage.service.IProProjectInfoSubdeptsService;

/**
 * 分包单位Service业务层处理
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
@Service
public class ProProjectInfoSubdeptsServiceImpl implements IProProjectInfoSubdeptsService 
{
    @Autowired
    private ProProjectInfoSubdeptsMapper proProjectInfoSubdeptsMapper;

    /**
     * 查询分包单位
     * 
     * @param id 分包单位主键
     * @return 分包单位
     */
    @Override
    public ProProjectInfoSubdepts selectProProjectInfoSubdeptsById(Long id)
    {
        return proProjectInfoSubdeptsMapper.selectProProjectInfoSubdeptsById(id);
    }

    /**
     * 查询分包单位列表
     * 
     * @param proProjectInfoSubdepts 分包单位
     * @return 分包单位
     */
    @Override
    public List<ProProjectInfoSubdepts> selectProProjectInfoSubdeptsList(ProProjectInfoSubdepts proProjectInfoSubdepts)
    {
        return proProjectInfoSubdeptsMapper.selectProProjectInfoSubdeptsList(proProjectInfoSubdepts);
    }

    /**
     * 新增分包单位
     * 
     * @param proProjectInfoSubdepts 分包单位
     * @return 结果
     */
    @Override
    public int insertProProjectInfoSubdepts(ProProjectInfoSubdepts proProjectInfoSubdepts)
    {
        proProjectInfoSubdepts.setCreateTime(DateUtils.getNowDate());
        return proProjectInfoSubdeptsMapper.insertProProjectInfoSubdepts(proProjectInfoSubdepts);
    }

    /**
     * 修改分包单位
     * 
     * @param proProjectInfoSubdepts 分包单位
     * @return 结果
     */
    @Override
    public int updateProProjectInfoSubdepts(ProProjectInfoSubdepts proProjectInfoSubdepts)
    {
        proProjectInfoSubdepts.setUpdateTime(DateUtils.getNowDate());
        return proProjectInfoSubdeptsMapper.updateProProjectInfoSubdepts(proProjectInfoSubdepts);
    }

    /**
     * 批量删除分包单位
     * 
     * @param ids 需要删除的分包单位主键
     * @return 结果
     */
    @Override
    public int deleteProProjectInfoSubdeptsByIds(Long[] ids)
    {
        return proProjectInfoSubdeptsMapper.deleteProProjectInfoSubdeptsByIds(ids);
    }

    /**
     * 删除分包单位信息
     * 
     * @param id 分包单位主键
     * @return 结果
     */
    @Override
    public int deleteProProjectInfoSubdeptsById(Long id)
    {
        return proProjectInfoSubdeptsMapper.deleteProProjectInfoSubdeptsById(id);
    }
}
